@import url('https://fonts.googleapis.com/css?family=Slabo+27px&display=swap');

:root {
    --button-background-color: rgb(32, 32, 32);
    --button-border-color: rgb(56, 56, 56);
    --button-text-color: white;
    --button-hover-color: rgb(134, 134, 134);
}
.modal {
    color: rgb(201, 201, 201);
    background-color: #333;
}

.button-panel{
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
    grid-gap: 0.5em;
    margin: 0.7em;
}

.button-panel23 {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
    grid-template-columns: 1fr 1fr;
    grid-gap: 0.5em;
    margin: 0.7em;
}

.button {
    cursor: pointer;
    padding: 0.5em;
    border-radius: 10px;
    border-style: solid;
    border-color: var(--button-border-color);
    background-color: var(--button-background-color);
    color: var(--button-text-color);
}

.button:hover {
    border-color: var(--button-hover-color);
    background-color: var(--button-hover-color);
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}


.bordered {
    border-style: solid;
    border-width: 0.1em;
    border-radius: 3px;
    border-color: var(--button-border-color);
}

textarea {
    resize: none;
    overflow: auto;
    white-space: pre;
    border-radius: 10px;
    background-color: #212121;
    border: 3px solid white;
    color: white;
    padding: 0.5em;
    font-size: 1em;
	font-family: Tahoma, sans-serif;
}

input[type="text"], textarea {
    margin: 0;
    padding: 0;
    margin: 0.2em;
}

.fileitem {
    cursor: pointer;
    background-color: var(--button-background-color);
    color: var(--button-text-color);
    margin: 0.1em;
    padding: 0.3em;
    text-align: left;
}

.fileitem:hover, .fileitem:focus {
    cursor: pointer;
    border-color: var(--button-hover-color);
    background-color: var(--button-hover-color);
}

.chosen {
    border-color: var(--button-hover-color);
    background-color: var(--button-hover-color);
}

.status-accepted, .status-open, .status-denied {
    display: inline-block;
    width: auto;
    border-radius: 15px;
    font-family: 'Salbo 27px', serif;
    font-size: 1.1em;
    text-shadow: 1px 1px 0px black;
}
.status-accepted {
    /* background-color: rgb(0, 138, 0); */
    background-color: rgb(65, 145, 45);
    padding: 0.4em 0.7em;
}
.status-accepted:after {
    content: "Accepted";
}

.status-denied {
    padding: 0.4em 1.1em;
    background-color: rgba(153, 0, 0);
}

.status-denied:after {
    content: "Denied";
}

.status-open {
    /* background-color: rgb(48, 60, 228); */
    background-color: #4D89FF;
    padding: 0.4em 1.4em;
}

.status-open:after {
    content: "Open";
}

.dont-revert {
    filter: none;
}